Skip to main content
`Ctrl`+`K`

# BVTensorBuildFirstColumn

Builds the first column of the tensor basis vectors `V` from the data contained in the first `k` columns of `U`.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVTensorBuildFirstColumn(BV V,PetscInt k)

Collective

## Input Parameters

- V - the basis vectors context

- k - the number of columns of `U` with relevant information

## Notes

At most \(d\) columns are considered, where \(d\) is the degree of the tensor `BV`. Given \(V = (I \otimes U) S\), this function computes the first column of \(V\), that is, it computes the coefficients of the first column of \(S\) by orthogonalizing the first \(d\) columns of \(U\). If `k` is less than \(d\) (or linearly dependent columns are found) then additional random columns are used.

The computed column has unit norm.

## See Also

BV: Basis Vectors, `BVTENSOR`, `BVCreateTensor()`, `BVTensorGetDegree()`

## Level

advanced

## Location

src/sys/classes/bv/impls/tensor/bvtensor.c

## Implementations

BVTensorBuildFirstColumn_Tensor() in src/sys/classes/bv/impls/tensor/bvtensor.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages